// Video recording functions

#ifndef __VIDEO_H__
#define __VIDEO_H__

#include "dualis.h"
#include "AVIGenerator.h"


extern BITMAPINFOHEADER aviBih;
extern CAVIGenerator	avigen;
extern char				*framebuffer;
extern int				aviFramesRecorded,aviFrameLimit;
extern int				aviFrameSelection;
extern int				recordMain,recordSub,aviRate;
extern char				szAviFn[256];
extern bool				aviStreamCreated,aviIsRecording,aviCodecSelected;


extern void avi_setup(void);
extern void avi_start_recording(void);
extern void avi_stop_recording(void);
extern void avi_record_frame(void);

#endif
